ECHO OFF
CLS
IF 0326 == %1 GOTO LEVELOK
ECHO ' Incorrect RFIX version specified.  Please read the following before
ECHO ' trying again.
:ERROR1
ECHO '
ECHO '  This batch file should be invoked with the command
ECHO '
ECHO '                RBBS-FIX 0326 XXXXX (SEE NOTE)
ECHO '
ECHO '  "0326" is the parameter passed to this .BAT file that indicates
ECHO '  this is for upgrading RBBS-PC version CPC15-1A with all the
ECHO `  temporary fixes that have been identified through 03/26/87
ECHO '  by applying the .MRG files contained in RFIX0326.ARC against the
ECHO '  unmodified source code of RBBS-PC version CPC15-1A.
ECHO '  
ECHO '  NOTE:  Replace the XXXXX with one of the following:
ECHO '
ECHO ' QB1.00  if using the QuickBasic version 1.00 compiler (not recommended)
ECHO ' QB1.02  if using the QuickBasic version 1.02 compiler (acceptable)
ECHO ' QB2.00  if using the QuickBasic version 2.00 compiler (not recommended)
ECHO ' QB2.01  if using the QuickBasic version 2.01 compiler (recommended)
ECHO ' IBM2.00 if using the unmodified IBM version 2.00 compiler (acceptable)
ECHO '
ECHO ' YOU MUST USE CAPITAL LETTERS FOR ALL RBBS-FIX.BAT PARAMETERS!   
ECHO '
GOTO END
:LEVELOK
IF QB1.00 == %2 GOTO COMPILER
IF QB1.02 == %2 GOTO COMPILER
IF QB2.00 == %2 GOTO COMPILER
IF QB2.01 == %2 GOTO COMPILER
IF IBM2.00 == %2 GOTO COMPILER
ECHO ' Incorrect compiler specified!  Read the above before trying again.
GOTO ERROR1
:COMPILER
CLS
ECHO '  This .BAT file is supplied to assist you in applying temporary
ECHO '  fixes to RBBS-PC version CPC15-1A.  This .BAT file makes some
ECHO '  fundamental assumptions about your configuration:
ECHO '     1.  BLED version 1.3 dated April 12, 1986 or later is available.
ECHO '     2.  1.8 MB of disk storage is available to contain all the
ECHO '         files necessary to apply, compile and link the revised
ECHO '         version of RBBS-PC that contains these temporary fixes.
ECHO '     3.  Either the QuickBASIC (versions 1.0, 1.02, 2.0, OR 2.01) or 
ECHO '         the unmodified IBM Version 2.0 BASIC compiler is available.
ECHO '
ECHO '  There is no "ASSUMED" compiler in this .BAT file. 
ECHO '  You have selected the use of the %2 compiler options.             
ECHO '
ECHO '  If the above assumptions are incorrect, hit Ctrl-Break to
ECHO '  terminate this batch job.  Otherwise .....
pause
CLS
ECHO '
ECHO '  The RBBS-FIX.BAT file requires access to:  
ECHO '    ANSI.OBJ     BDRIVEC2.OBJ  XMODEM.OBJ   RBBS-PC.BAS   RBBSDV.OBJ  
ECHO '    BASCOM.EXE   BLED.EXE      LINK.EXE     RBBSSUB1.BAS  RBBSUTIL.OBJ
ECHO '    BCOM10.LIB   CONFIG.BAS    PC-NET.OBJ   RBBSSUB2.BAS  RBBSML.OBJ
ECHO ' (or BCOM20.LIB) CNFG-SUB.BAS  QBARCV2.OBJ  RBBS-VAR.BAS  XMODEM.OBJ
IF %2 == IBM2.00 GOTO IBM2
ECHO '                 GWCOM.OBJ     PREFIX.OBJ                 10-NET.OBJ
GOTO BYPASS1
:IBM2
ECHO '                 IBMCOM.OBJ                               10-NET.OBJ
:BYPASS1
ECHO '             
ECHO '  IF access to these files is not available from the drive and/or
ECHO '  the DOS subdirectory that you are running this .BAT file out of
ECHO '  hit Ctrl-Break to terminate this batch file.  If access to these 
ECHO '  files is available to RBBS-FIX.BAT ......
pause
ECHO '  The following files from RFIX%1.ARC must be unarchived and put  
ECHO '  in the same directory as the above pre-existing files:            
ECHO '
ECHO '    BLED.CFG     R-PC%1.MRG      
ECHO '    CNFG%1.MRG RSB1%1.MRG   
ECHO '    CSUB%1.MRG RSB2%1.MRG
ECHO '                 RVAR%1.MRG
ECHO '
ECHO '  NOTE:  The "%1" indicates that these are .MRG files to be 
ECHO '         applied to the unmodified source code for CPC15-1A
ECHO '
ECHO '  If all of the above files are available as indicated above....
pause
CLS  
ECHO '  All temporary fixes are supplied as .MRG files against the original
ECHO '  source code for RBBS-PC version CPC15-1A.  You may distribute both
ECHO '  the original source code and RFIX%1.ARC.  You MAY NOT distribute
ECHO '  either 
ECHO '
ECHO '         1.  the original source code with these fixes applied (i.e.
ECHO '             modified source code), or 
ECHO '
ECHO '         2.  the .EXE files generated by compiling the source code that
ECHO '             results from applying these .MRG files to the original
ECHO '             source code (i.e. modified versions of RBBS-PC)
ECHO '
ECHO '  without violating the limited license under which your use of RBBS-PC
ECHO '  is granted and RBBS-PC has always been distributed.
ECHO ' 
ECHO '  If you have read BUL6%1, reviewed all the .MRG files as well as this
ECHO '  .BAT file, understand what each does (as opposed to to what it may say
ECHO '  it does), and are willing to assume the sole responsibility for whatever
ECHO '  may happen.......
pause
ECHO '
ECHO '  Remember that these are "temporary fixes" and:
ECHO '  
ECHO '     1.  may not exist in this form in future versions of RBBS-PC.
ECHO '  
ECHO '     2.  may not have been tested together.
ECHO '   
ECHO '     3.  may create other problems.
ECHO '  
ECHO '     4.  may not work under all configurations.
ECHO '  
ECHO '     5.  may not "fix" what they purport to fix for your system.
ECHO '
ECHO '  
ECHO '  Indicate your acceptance of the above conditions under which these 
ECHO '  "temporary fixes" have been supplied to you for your consideration
ECHO '  and convience and ........
ECHO '
pause
ECHO '  The basic sequence of what is about to happen is:
ECHO '  
ECHO '     Original CPC15-1A                 %1.MRG file with    
ECHO '         source code     BLED.CNFG       temporary fixes
ECHO '               !             !                ! 
ECHO '              \!/           \!/              \!/
ECHO '             +---------------------------------+
ECHO '             !             BLED                !======+Modified BAS file
ECHO '             +---------------------------------+              !
ECHO '                                                             \!/
ECHO '                                                   +--------------------+
ECHO '                                                   !   BASIC compiler   !
ECHO '                                                   +--------------------+
ECHO '                                                              !
ECHO '                +----------------------+                     \!/
ECHO '                !         LINK         !+===========Modified OBJ file
ECHO '                +----------------------+
ECHO '                            !
ECHO '                           \!/
ECHO '                  Modified EXE file                    
ECHO '
ECHO ' If you have reviewed this .BAT file and agree to take the sole 
ECHO ' responsibility for what is about to happen .....
PAUSE
CLS  
ECHO ON
RENAME RBBS-VAR.BAS RBBS-VAR.OLD
COPY RVAR%1.BAS RBBS-VAR.BAS
BLED /B/L RBBS-PC.BAS R-PC%1.MRG R-PC%1.BAS  
CLS
BLED /B/L RBBSSUB1.BAS RSB1%1.MRG RSB1%1.BAS   
CLS
BLED /B/L RBBSSUB2.BAS RSB2%1.MRG RSB2%1.BAS
ECHO OFF
IF QB2.00 == %2 GOTO QB2MAIN
IF QB2.01 == %2 GOTO QB2MAIN
IF IBM2.00 == %2 GOTO IBMMAIN
ECHO ON
BASCOM R-PC%1.BAS,,NUL,/E/C:4096/O;
ECHO OFF
GOTO MAINEND
:QB2MAIN
ECHO ON
QB R-PC%1.BAS /E /C:4096 /O;
ECHO OFF
GOTO MAINEND
:IBMMAIN
ECHO ON
BASCOM R-PC%1.BAS,,NUL,/E/C:4096/O/N;
ECHO OFF
:MAINEND
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise .....
pause
IF QB2.00 == %2 GOTO QB2SUB1
IF QB2.01 == %2 GOTO QB2SUB1
IF IBM2.00 == %2 GOTO IBMSUB1 
ECHO ON
BASCOM RSB1%1.BAS,,NUL,/X/C:4096/O;
ECHO OFF
GOTO SUB1END
:QB2SUB1
ECHO ON
QB RSB1%1.BAS /X /C:4096 /O;
ECHO OFF
GOTO SUB1END
:IBMSUB1
ECHO ON
BASCOM RSB1%1.BAS,,NUL,/X/C:4096/O/N;
ECHO OFF
:SUB1END
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise ....
pause
IF QB2.00 == %2 GOTO QB2SUB2
IF QB2.01 == %2 GOTO QB2SUB2
IF IBM2.00 == %2 GOTO IBMSUB2 
ECHO ON
BASCOM RSB2%1.BAS,,NUL,/C:4096/O/E;
ECHO OFF
GOTO SUB2END
:QB2SUB2
ECHO ON
QB RSB2%1.BAS /C:4096 /O;
ECHO OFF
GOTO SUB2END
:IBMSUB2
ECHO ON
BASCOM RSB2%1.BAS,,NUL,C:4096/O/N;
ECHO OFF
:SUB2END
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise ....
pause
IF QB2.00 == %2 GOTO QBLINK
IF QB2.01 == %2 GOTO QBLINK
IF IBM2.00 == %2 GOTO IBMLINK1
ECHO ON
LINK R-PC%1+RSB1%1+RSB2%1+GWCOM+QBARCV2+ANSI+XMODEM+RBBSML+BDRIVEC2+PC-NET+10-NET+RBBSDV+RBBSUTIL,,NUL,/E;
ECHO OFF
GOTO DELETER
:QBLINK
ECHO ON
LINK R-PC%1+RSB1%1+RSB2%1+PREFIX+GWCOM+QBARCV2+ANSI+XMODEM+RBBSML+BDRIVEC2+PC-NET+10-NET+RBBSDV+RBBSUTIL,,NUL,;
ECHO OFF
GOTO DELETER
:IBMLINK1
LINK R-PC%1+RSB1%1+RSB2%1+IBMCOM+QBARCV2+ANSI+XMODEM+RBBSML+BDRIVEC2+PC-NET+10-NET+RBBSDV+RBBSUTIL,,NUL,;
:DELETER
ECHO ON
DEL R-PC%1.OBJ
DEL RSB1%1.OBJ
DEL RSB2%1.OBJ
CLS
ECHO ON
BLED /B/L CONFIG.BAS CNFG%1.MRG CNFG%1.BAS   
ECHO OFF
CLS
IF QB2.00 == %2 GOTO QBCNFG
IF QB2.01 == %2 GOTO QBCNFG
IF IBM2.00 == %2 GOTO IBMCNFG
ECHO ON
BASCOM CNFG%1.BAS,,NUL,/E/C:4096/O;
ECHO OFF
GOTO CNFGEND
:QBCNFG
ECHO ON
QB CNFG%1.BAS /E/C:4096/O;
ECHO OFF
GOTO CNFGEND
:IBMCNFG
ECHO ON
BASCOM CNFG%1.BAS,,NUL,/E/C:4096/O/N;
ECHO OFF
:CNFGEND
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise .....
pause
CLS
ECHO ON
BLED /B/L CNFG-SUB.BAS CSUB%1.MRG CSUB%1.BAS   
ECHO OFF
CLS
IF QB2.00 == %2 GOTO QBCNFG1
IF QB2.01 == %2 GOTO QBCNFG1
IF IBM2.00 == %2 GOTO IBMCNFG1
ECHO ON
BASCOM CSUB%1.BAS,,NUL,/E/C:4096/O;
ECHO OFF
GOTO CNFGEND1
:QBCNFG1
ECHO ON
QB CSUB%1.BAS /E/C:4096/O;
ECHO OFF
GOTO CNFGEND1
:IBMCNFG1
ECHO ON
BASCOM CSUB1%1.BAS,,NUL,/E/C:4096/O/N;
ECHO OFF
:CNFGEND1
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise .....
pause
IF IBM2.00 == %2 GOTO IBMLINK2
ECHO ON
LINK CNFG%1+CSUB%1+GWCOM+RBBSUTIL,,NUL,;
ECHO OFF
GOTO DELETEC
:IBMLINK2
ECHO ON
LINK CNFG%1+CSUB%1+IBMCOM+RBBSUTIL,,NUL,;
ECHO OFF
:DELETEC
ECHO ON
DEL CNFG%1.OBJ
DEL CSUB%1.OBJ
CLS
ECHO OFF
ECHO ' Before using anything created by this .BAT file, make backup copies
ECHO ' of all files that you can not easily re-create.
ECHO ON
RENAME RBBS-PC.BAS RBBS-PC.OLD
RENAME R-PC%1.BAS RBBS-PC.BAS
RENAME RBBSSUB1.BAS RBBSSUB1.OLD
RENAME RBBSSUB2.BAS RBBSSUB2.OLD
RENAME RSB1%1.BAS RBBSSUB1.BAS
RENAME RSB2%1.BAS RBBSSUB2.BAS
RENAME CONFIG.BAS CONFIG.OLD
RENAME CNFG%1.BAS CONFIG.BAS
RENAME CNFG-SUB.BAS CNFG-SUB.OLD
RENAME CSUB%1.BAS CNFG-SUB.BAS
RENAME RBBS-PC.EXE RBBS-EXE.OLD
RENAME R-PC%1.EXE RBBS-PC.EXE
RENAME CONFIG.EXE CNFG-EXE.OLD
RENAME CNFG%1.EXE CONFIG.EXE
:END
